Skip to main content
PATCH
cURL
Check out the configuration docs for incident.io Connections to learn how to obtain the required credentials.

Path Parameters

connectionId
string<uuid>
required

The ID of the incident.io Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with incident.io.

name
string

The updated name of the incident.io Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the incident.io Connection.

Maximum string length: 256
isPlatformManagedCredentials
enum<boolean>

Not supported for incident.io Connections.

Available options:
false
gatewayId

Not supported for incident.io Connections.

gatewayPoolId

Not supported for incident.io Connections.

isAutoRotationEnabled
enum<boolean>

Not supported for incident.io Connections.

Available options:
false
rotation

Not supported for incident.io Connections.

Response

Default Response

appConnection
incident.io (API Key) · object
required